## org.eclipse.xsd.impl
Class XSDElementDeclarationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDNamedComponentImpl
                              org.eclipse.xsd.impl.XSDFeatureImpl
                                  org.eclipse.xsd.impl.XSDElementDeclarationImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDElementDeclaration, XSDFeature, XSDNamedComponent, XSDParticleContent, XSDSchemaContent, XSDTerm

    public class XSDElementDeclarationImpl

extends XSDFeatureImpl
implements XSDElementDeclaration

An implementation of the model object 'Element Declaration'.

The following features are implemented:

- `Nillable`
- `Disallowed Substitutions`
- `Substitution Group Exclusions`
- `Abstract`
- `Lexical Final`
- `Block`
- `Element Declaration Reference`
- `Circular`
- `Annotation`
- `Anonymous Type Definition`
- `Type Definition`
- `Identity Constraint Definitions`
- `Resolved Element Declaration`
- `Substitution Group Affiliation`
- `Substitution Group`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`XSDNamedComponentImpl.Comparator, XSDNamedComponentImpl.StringPairComparator, XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>`

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `ABSTRACT_EDEFAULT` The default value of the '`Abstract`' attribute
`protected static int` `ABSTRACT_EFLAG` The flag representing the value of the '`Abstract`' attribute
`protected static int` `ABSTRACT_ESETFLAG` The flag representing whether the Abstract attribute has been set
`protected int` `analysisState`
`protected XSDAnnotation` `annotation` The cached value of the '`Annotation`' containment reference
`protected XSDTypeDefinition` `anonymousTypeDefinition` The cached value of the '`Anonymous Type Definition`' containment reference
`protected EList<XSDDisallowedSubstitutions>` `block` The cached value of the '`Block`' attribute list
`protected static boolean` `CIRCULAR_EDEFAULT` The default value of the '`Circular`' attribute
`protected EList<XSDDisallowedSubstitutions>` `disallowedSubstitutions` The cached value of the '`Disallowed Substitutions`' attribute list
`protected static boolean` `ELEMENT_DECLARATION_REFERENCE_EDEFAULT` The default value of the '`Element Declaration Reference`' attribute
`protected EList<XSDIdentityConstraintDefinition>` `identityConstraintDefinitions` The cached value of the '`Identity Constraint Definitions`' containment reference list
`protected boolean` `isTypeExplicit`
`protected EList<XSDProhibitedSubstitutions>` `lexicalFinal` The cached value of the '`Lexical Final`' attribute list
`protected static boolean` `NILLABLE_EDEFAULT` The default value of the '`Nillable`' attribute
`protected static int` `NILLABLE_EFLAG` The flag representing the value of the '`Nillable`' attribute
`protected static int` `NILLABLE_ESETFLAG` The flag representing whether the Nillable attribute has been set
`protected XSDElementDeclaration` `resolvedElementDeclaration` The cached value of the '`Resolved Element Declaration`' reference
`protected EList<XSDElementDeclaration>` `substitutionGroup` The cached value of the '`Substitution Group`' reference list
`protected XSDElementDeclaration` `substitutionGroupAffiliation` The cached value of the '`Substitution Group Affiliation`' reference
`protected EList<XSDSubstitutionGroupExclusions>` `substitutionGroupExclusions` The cached value of the '`Substitution Group Exclusions`' attribute list
`protected XSDTypeDefinition` `typeDefinition` The cached value of the '`Type Definition`' reference

Fields inherited from class org.eclipse.xsd.impl.XSDFeatureImpl
`CONSTRAINT_EDEFAULT, CONSTRAINT_EFLAG, CONSTRAINT_EFLAG_DEFAULT, CONSTRAINT_EFLAG_OFFSET, CONSTRAINT_ESETFLAG, FEATURE_REFERENCE_EDEFAULT, FORM_EDEFAULT, FORM_EFLAG, FORM_EFLAG_DEFAULT, FORM_EFLAG_OFFSET, FORM_ESETFLAG, GLOBAL_EDEFAULT, LEXICAL_VALUE_EDEFAULT, lexicalValue, value, VALUE_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`ALIAS_NAME_EDEFAULT, ALIAS_URI_EDEFAULT, name, NAME_EDEFAULT, QNAME_EDEFAULT, TARGET_NAMESPACE_EDEFAULT, targetNamespace, URI_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDElementDeclarationImpl()`

Method Summary
`protected void` `adoptContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected boolean` `analyze()`
`NotificationChain` `basicSetAnnotation(XSDAnnotation newAnnotation, NotificationChain msgs)`
`NotificationChain` `basicSetAnonymousTypeDefinition(XSDTypeDefinition newAnonymousTypeDefinition, NotificationChain msgs)`
`protected void` `changeAttribute(EAttribute eAttribute)`
`protected void` `changeReference(EReference eReference)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`org.w3c.dom.Element` `createElement()`
`static XSDElementDeclaration` `createElementDeclaration(org.w3c.dom.Node node)`
`protected void` `eBasicSetContainer(InternalEObject newContainer, int newContainerFeatureID)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eNotify(Notification msg)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDAnnotation` `getAnnotation()`
`XSDTypeDefinition` `getAnonymousTypeDefinition()`
`EList<XSDDisallowedSubstitutions>` `getBlock()`
`java.lang.Boolean` `getCircular()`
`EList<XSDDisallowedSubstitutions>` `getDisallowedSubstitutions()`
`java.lang.Boolean` `getElementDeclarationReference()`
`EList<XSDIdentityConstraintDefinition>` `getIdentityConstraintDefinitions()`
`EList<XSDProhibitedSubstitutions>` `getLexicalFinal()`
`java.lang.String` `getQName()` Returns the value of the 'QName' attribute
`XSDElementDeclaration` `getResolvedElementDeclaration()`
`XSDFeature` `getResolvedFeature()` Returns the value of the 'Resolved Feature' reference
`XSDNamedComponent` `getResolvedNamedComponent()`
`java.lang.String` `getStringBlock()` Returns the String value of the '`Block`' attribute list
`java.lang.String` `getStringDisallowedSubstitutions()` Returns the String value of the '`Disallowed Substitutions`' attribute list
`java.lang.String` `getStringLexicalFinal()` Returns the String value of the '`Lexical Final`' attribute list
`java.lang.String` `getStringSubstitutionGroupExclusions()` Returns the value of the 'Substitution Group Exclusions' attribute list
`EList<XSDElementDeclaration>` `getSubstitutionGroup()`
`XSDElementDeclaration` `getSubstitutionGroupAffiliation()`
`EList<XSDSubstitutionGroupExclusions>` `getSubstitutionGroupExclusions()`
`XSDTypeDefinition` `getType()` Returns the value of the 'Type' reference
`XSDTypeDefinition` `getTypeDefinition()`
`protected void` `handleAnalysis()`
`protected void` `handleReconciliation(java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`protected void` `handleUnreconciledElement(org.w3c.dom.Element child, java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`boolean` `isAbstract()`
`boolean` `isCircular()` Returns the value of the 'Circular' attribute
`boolean` `isElementDeclarationReference()` Returns the value of the 'Element Declaration Reference' attribute
`boolean` `isFeatureReference()` Returns the value of the 'Feature Reference' attribute
`boolean` `isNamedComponentReference()`
`boolean` `isNillable()`
`boolean` `isSetAbstract()`
`boolean` `isSetBlock()`
`boolean` `isSetLexicalFinal()`
`boolean` `isSetNillable()`
`protected void` `orphanContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected void` `patch()`
`protected void` `patchTargetNamespaceAttribute()`
`protected void` `patchTargetNamespaceAttribute(XSDSchema xsdSchema)`
`protected void` `patchTargetNamespaceAttributeHelper(XSDSchema xsdSchema)`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`protected void` `reconcileContents(org.w3c.dom.Element changedElement)`
`protected void` `reconcileNameAttribute()`
`void` `setAbstract(boolean newAbstract)`
`void` `setAnnotation(XSDAnnotation newAnnotation)`
`void` `setAnonymousTypeDefinition(XSDTypeDefinition newAnonymousTypeDefinition)`
`void` `setNillable(boolean newNillable)`
`void` `setResolvedElementDeclaration(XSDElementDeclaration newResolvedElementDeclaration)`
`void` `setStringBlock(java.lang.String block)` Set the String value of the '`Block`' attribute list
`void` `setStringLexicalFinal(java.lang.String finalDefault)` Sets the String value of the '`Lexical Final`' attribute list
`void` `setSubstitutionGroupAffiliation(XSDElementDeclaration newSubstitutionGroupAffiliation)`
`void` `setTypeDefinition(XSDTypeDefinition newTypeDefinition)` Sets the value of the '`Type Definition`' reference
`void` `setTypeDefinitionGen(XSDTypeDefinition newTypeDefinition)`
`java.lang.String` `toString()`
`void` `unsetAbstract()`
`void` `unsetBlock()`
`void` `unsetLexicalFinal()`
`void` `unsetNillable()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDFeatureImpl
`getConstraint, getFeatureReference, getForm, getGlobal, getLexicalValue, getScope, getValue, isGlobal, isSetConstraint, isSetForm, isUpdatingDOM, setConstraint, setForm, setLexicalValue, setValue, unsetConstraint, unsetForm`

Methods inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`addToSortedList, adoptBy, findInSortedList, getAliasName, getAliasURI, getName, getQName, getTargetNamespace, getURI, getURIReferenceLabel, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, mergeToSortedList, setName, setTargetNamespace, sortNamedComponents`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptDiagnostic, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDFeature
`getConstraint, getForm, getLexicalValue, getScope, getValue, isGlobal, isSetConstraint, isSetForm, setConstraint, setForm, setLexicalValue, setValue, unsetConstraint, unsetForm`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eSetDeliver`

Field Detail

### NILLABLE_EDEFAULT

    protected static final boolean NILLABLE_EDEFAULT

  The default value of the '`Nillable`' attribute.

  See Also:
    `isNillable()`, Constant Field Values

### NILLABLE_EFLAG

    protected static final int NILLABLE_EFLAG

  The flag representing the value of the '`Nillable`' attribute.

  See Also:
    `isNillable()`, Constant Field Values

### NILLABLE_ESETFLAG

    protected static final int NILLABLE_ESETFLAG

  The flag representing whether the Nillable attribute has been set.

  See Also:
    Constant Field Values

### disallowedSubstitutions

    protected EList<XSDDisallowedSubstitutions> disallowedSubstitutions

  The cached value of the '`Disallowed Substitutions`' attribute list.

  See Also:
    `getDisallowedSubstitutions()`

### substitutionGroupExclusions

    protected EList<XSDSubstitutionGroupExclusions> substitutionGroupExclusions

  The cached value of the '`Substitution Group Exclusions`' attribute list.

  See Also:
    `getSubstitutionGroupExclusions()`

### ABSTRACT_EDEFAULT

    protected static final boolean ABSTRACT_EDEFAULT

  The default value of the '`Abstract`' attribute.

  See Also:
    `isAbstract()`, Constant Field Values

### ABSTRACT_EFLAG

    protected static final int ABSTRACT_EFLAG

  The flag representing the value of the '`Abstract`' attribute.

  See Also:
    `isAbstract()`, Constant Field Values

### ABSTRACT_ESETFLAG

    protected static final int ABSTRACT_ESETFLAG

  The flag representing whether the Abstract attribute has been set.

  See Also:
    Constant Field Values

### lexicalFinal

    protected EList<XSDProhibitedSubstitutions> lexicalFinal

  The cached value of the '`Lexical Final`' attribute list.

  See Also:
    `getLexicalFinal()`

### block

    protected EList<XSDDisallowedSubstitutions> block

  The cached value of the '`Block`' attribute list.

  See Also:
    `getBlock()`

### ELEMENT_DECLARATION_REFERENCE_EDEFAULT

    protected static final boolean ELEMENT_DECLARATION_REFERENCE_EDEFAULT

  The default value of the '`Element Declaration Reference`' attribute.

  See Also:
    `isElementDeclarationReference()`, Constant Field Values

### CIRCULAR_EDEFAULT

    protected static final boolean CIRCULAR_EDEFAULT

  The default value of the '`Circular`' attribute.

  See Also:
    `isCircular()`, Constant Field Values

### annotation

    protected XSDAnnotation annotation

  The cached value of the '`Annotation`' containment reference.

  See Also:
    `getAnnotation()`

### anonymousTypeDefinition

    protected XSDTypeDefinition anonymousTypeDefinition

  The cached value of the '`Anonymous Type Definition`' containment reference.

  See Also:
    `getAnonymousTypeDefinition()`

### typeDefinition

    protected XSDTypeDefinition typeDefinition

  The cached value of the '`Type Definition`' reference.

  See Also:
    `getTypeDefinition()`

### identityConstraintDefinitions

    protected EList<XSDIdentityConstraintDefinition> identityConstraintDefinitions

  The cached value of the '`Identity Constraint Definitions`' containment reference list.

  See Also:
    `getIdentityConstraintDefinitions()`

### resolvedElementDeclaration

    protected XSDElementDeclaration resolvedElementDeclaration

  The cached value of the '`Resolved Element Declaration`' reference.

  See Also:
    `getResolvedElementDeclaration()`

### substitutionGroupAffiliation

    protected XSDElementDeclaration substitutionGroupAffiliation

  The cached value of the '`Substitution Group Affiliation`' reference.

  See Also:
    `getSubstitutionGroupAffiliation()`

### substitutionGroup

    protected EList<XSDElementDeclaration> substitutionGroup

  The cached value of the '`Substitution Group`' reference list.

  See Also:
    `getSubstitutionGroup()`

### analysisState

    protected int analysisState

### isTypeExplicit

    protected boolean isTypeExplicit

Constructor Detail

### XSDElementDeclarationImpl

    protected XSDElementDeclarationImpl()

Method Detail

### createElementDeclaration

    public static XSDElementDeclaration createElementDeclaration(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDFeatureImpl`

### isNillable

    public boolean isNillable()

  Specified by:
    `isNillable` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Nillable' attribute.
  See Also:
    `XSDElementDeclaration.isSetNillable()`, `XSDElementDeclaration.unsetNillable()`, `XSDElementDeclaration.setNillable(boolean)`, `XSDPackage.getXSDElementDeclaration_Nillable()`

### setNillable

    public void setNillable(boolean newNillable)

  Specified by:
    `setNillable` in interface `XSDElementDeclaration`
  Parameters:
    `newNillable` - the new value of the 'Nillable' attribute.
  See Also:
    `XSDElementDeclaration.isSetNillable()`, `XSDElementDeclaration.unsetNillable()`, `XSDElementDeclaration.isNillable()`

### unsetNillable

    public void unsetNillable()

  Specified by:
    `unsetNillable` in interface `XSDElementDeclaration`
  See Also:
    `XSDElementDeclaration.isSetNillable()`, `XSDElementDeclaration.isNillable()`, `XSDElementDeclaration.setNillable(boolean)`

### isSetNillable

    public boolean isSetNillable()

  Specified by:
    `isSetNillable` in interface `XSDElementDeclaration`
  Returns:
    whether the value of the 'Nillable' attribute is set.
  See Also:
    `XSDElementDeclaration.unsetNillable()`, `XSDElementDeclaration.isNillable()`, `XSDElementDeclaration.setNillable(boolean)`

### getDisallowedSubstitutions

    public EList<XSDDisallowedSubstitutions> getDisallowedSubstitutions()

  Specified by:
    `getDisallowedSubstitutions` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Disallowed Substitutions' attribute list.
  See Also:
    `XSDElementDeclaration.getStringDisallowedSubstitutions()`, `XSDDisallowedSubstitutions`, `XSDPackage.getXSDElementDeclaration_DisallowedSubstitutions()`

### getSubstitutionGroupExclusions

    public EList<XSDSubstitutionGroupExclusions> getSubstitutionGroupExclusions()

  Specified by:
    `getSubstitutionGroupExclusions` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Substitution Group Exclusions' attribute list.
  See Also:
    `XSDElementDeclaration.getStringSubstitutionGroupExclusions()`, `XSDSubstitutionGroupExclusions`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupExclusions()`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Abstract' attribute.
  See Also:
    `XSDElementDeclaration.isSetAbstract()`, `XSDElementDeclaration.unsetAbstract()`, `XSDElementDeclaration.setAbstract(boolean)`, `XSDPackage.getXSDElementDeclaration_Abstract()`

### setAbstract

    public void setAbstract(boolean newAbstract)

  Specified by:
    `setAbstract` in interface `XSDElementDeclaration`
  Parameters:
    `newAbstract` - the new value of the 'Abstract' attribute.
  See Also:
    `XSDElementDeclaration.isSetAbstract()`, `XSDElementDeclaration.unsetAbstract()`, `XSDElementDeclaration.isAbstract()`

### unsetAbstract

    public void unsetAbstract()

  Specified by:
    `unsetAbstract` in interface `XSDElementDeclaration`
  See Also:
    `XSDElementDeclaration.isSetAbstract()`, `XSDElementDeclaration.isAbstract()`, `XSDElementDeclaration.setAbstract(boolean)`

### isSetAbstract

    public boolean isSetAbstract()

  Specified by:
    `isSetAbstract` in interface `XSDElementDeclaration`
  Returns:
    whether the value of the 'Abstract' attribute is set.
  See Also:
    `XSDElementDeclaration.unsetAbstract()`, `XSDElementDeclaration.isAbstract()`, `XSDElementDeclaration.setAbstract(boolean)`

### getLexicalFinal

    public EList<XSDProhibitedSubstitutions> getLexicalFinal()

  Specified by:
    `getLexicalFinal` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Lexical Final' attribute list.
  See Also:
    `XSDElementDeclaration.getStringLexicalFinal()`, `XSDElementDeclaration.setStringLexicalFinal(java.lang.String)`, `XSDProhibitedSubstitutions`, `XSDElementDeclaration.isSetLexicalFinal()`, `XSDElementDeclaration.unsetLexicalFinal()`, `XSDPackage.getXSDElementDeclaration_LexicalFinal()`

### unsetLexicalFinal

    public void unsetLexicalFinal()

  Specified by:
    `unsetLexicalFinal` in interface `XSDElementDeclaration`
  See Also:
    `XSDElementDeclaration.isSetLexicalFinal()`, `XSDElementDeclaration.getLexicalFinal()`

### isSetLexicalFinal

    public boolean isSetLexicalFinal()

  Specified by:
    `isSetLexicalFinal` in interface `XSDElementDeclaration`
  Returns:
    whether the value of the 'Lexical Final' attribute list is set.
  See Also:
    `XSDElementDeclaration.unsetLexicalFinal()`, `XSDElementDeclaration.getLexicalFinal()`

### getBlock

    public EList<XSDDisallowedSubstitutions> getBlock()

  Specified by:
    `getBlock` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Block' attribute list.
  See Also:
    `XSDElementDeclaration.getStringBlock()`, `XSDElementDeclaration.setStringBlock(java.lang.String)`, `XSDDisallowedSubstitutions`, `XSDElementDeclaration.isSetBlock()`, `XSDElementDeclaration.unsetBlock()`, `XSDPackage.getXSDElementDeclaration_Block()`

### unsetBlock

    public void unsetBlock()

  Specified by:
    `unsetBlock` in interface `XSDElementDeclaration`
  See Also:
    `XSDElementDeclaration.isSetBlock()`, `XSDElementDeclaration.getBlock()`

### isSetBlock

    public boolean isSetBlock()

  Specified by:
    `isSetBlock` in interface `XSDElementDeclaration`
  Returns:
    whether the value of the 'Block' attribute list is set.
  See Also:
    `XSDElementDeclaration.unsetBlock()`, `XSDElementDeclaration.getBlock()`

### getElementDeclarationReference

    public java.lang.Boolean getElementDeclarationReference()

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### patch

    protected void patch()

  Overrides:
    `patch` in class `XSDNamedComponentImpl`

### analyze

    protected boolean analyze()

  Overrides:
    `analyze` in class `XSDFeatureImpl`

### handleAnalysis

    protected void handleAnalysis()

### patchTargetNamespaceAttribute

    protected void patchTargetNamespaceAttribute()

  Overrides:
    `patchTargetNamespaceAttribute` in class `XSDNamedComponentImpl`

### patchTargetNamespaceAttribute

    protected void patchTargetNamespaceAttribute(XSDSchema xsdSchema)

  Overrides:
    `patchTargetNamespaceAttribute` in class `XSDNamedComponentImpl`

### patchTargetNamespaceAttributeHelper

    protected void patchTargetNamespaceAttributeHelper(XSDSchema xsdSchema)

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDFeatureImpl`

### reconcileNameAttribute

    protected void reconcileNameAttribute()

  Overrides:
    `reconcileNameAttribute` in class `XSDNamedComponentImpl`

### reconcileContents

    protected void reconcileContents(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileContents` in class `XSDConcreteComponentImpl`

### handleUnreconciledElement

    protected void handleUnreconciledElement(org.w3c.dom.Element child,
                                             java.util.List<XSDConcreteComponent> newContents,
                                             java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleUnreconciledElement` in class `XSDConcreteComponentImpl`

### handleReconciliation

    protected void handleReconciliation(java.util.List<XSDConcreteComponent> newContents,
                                        java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleReconciliation` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDFeatureImpl`

### eNotify

    public void eNotify(Notification msg)

  Specified by:
    `eNotify` in interface `Notifier`
  Overrides:
    `eNotify` in class `XSDConcreteComponentImpl`

### eBasicSetContainer

    protected void eBasicSetContainer(InternalEObject newContainer,
                                      int newContainerFeatureID)

  Overrides:
    `eBasicSetContainer` in class `EObjectImpl`

### changeReference

    protected void changeReference(EReference eReference)

  Overrides:
    `changeReference` in class `XSDConcreteComponentImpl`

### adoptContent

    protected void adoptContent(EReference eReference,
                                XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `adoptContent` in class `XSDConcreteComponentImpl`

### orphanContent

    protected void orphanContent(EReference eReference,
                                 XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `orphanContent` in class `XSDConcreteComponentImpl`

### isElementDeclarationReference

    public boolean isElementDeclarationReference()

  Description copied from interface: `XSDElementDeclaration`
  Returns the value of the 'Element Declaration Reference' attribute.

  This concrete attribute is equivalent to

        xsdElementDeclaration != xsdElementDeclaration.getResolvedElementDeclaration()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent an element declaration with a ref attribute.

  Specified by:
    `isElementDeclarationReference` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Element Declaration Reference' attribute.
  See Also:
    `XSDPackage.getXSDElementDeclaration_ElementDeclarationReference()`

### getCircular

    public java.lang.Boolean getCircular()

### getQName

    public java.lang.String getQName()

  Description copied from interface: `XSDNamedComponent`
  Returns the value of the 'QName' attribute.

  This concrete attribute is equivalent to

        xsdNamedComponent.getQName(xsdNamedComponent)

  Specified by:
    `getQName` in interface `XSDNamedComponent`
  Overrides:
    `getQName` in class `XSDNamedComponentImpl`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `XSDNamedComponent.getQName(org.eclipse.xsd.XSDConcreteComponent)`, `XSDPackage.getXSDNamedComponent_QName()`

### isNamedComponentReference

    public boolean isNamedComponentReference()

  Overrides:
    `isNamedComponentReference` in class `XSDNamedComponentImpl`

### getResolvedNamedComponent

    public XSDNamedComponent getResolvedNamedComponent()

  Overrides:
    `getResolvedNamedComponent` in class `XSDNamedComponentImpl`

### isFeatureReference

    public boolean isFeatureReference()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Feature Reference' attribute.

  This is the same result as either the '`Element Reference`' attribute or the '`Attribute Reference`' attribute.

  Specified by:
    `isFeatureReference` in interface `XSDFeature`
  Overrides:
    `isFeatureReference` in class `XSDFeatureImpl`
  Returns:
    the value of the 'Feature Reference' attribute.
  See Also:
    `XSDPackage.getXSDFeature_FeatureReference()`

### getResolvedFeature

    public XSDFeature getResolvedFeature()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Resolved Feature' reference.

  This is the same result as either the '`Resolved Element Declaration`' reference or the '`Resolved Attribute Declaration`' reference.

  Specified by:
    `getResolvedFeature` in interface `XSDFeature`
  Overrides:
    `getResolvedFeature` in class `XSDFeatureImpl`
  Returns:
    the value of the 'Resolved Feature' reference.
  See Also:
    `XSDPackage.getXSDFeature_ResolvedFeature()`

### getType

    public XSDTypeDefinition getType()

  Description copied from interface: `XSDFeature`
  Returns the value of the 'Type' reference.

  This is the same result as either the element '`Type Definition`' reference or the attribute '`Type Definition`' reference.

  Specified by:
    `getType` in interface `XSDFeature`
  Overrides:
    `getType` in class `XSDFeatureImpl`
  Returns:
    the value of the 'Type' reference.
  See Also:
    `XSDPackage.getXSDFeature_Type()`

### getStringLexicalFinal

    public java.lang.String getStringLexicalFinal()

  Description copied from interface: `XSDElementDeclaration`
  Returns the String value of the '`Lexical Final`' attribute list.

  Specified by:
    `getStringLexicalFinal` in interface `XSDElementDeclaration`
  Returns:
    the String value of the 'Lexical Final' attribute list.
  See Also:
    `XSDElementDeclaration.getStringLexicalFinal()`, `XSDElementDeclaration.setStringLexicalFinal(java.lang.String)`

### setStringLexicalFinal

    public void setStringLexicalFinal(java.lang.String finalDefault)

  Description copied from interface: `XSDElementDeclaration`
  Sets the String value of the '`Lexical Final`' attribute list.

  Specified by:
    `setStringLexicalFinal` in interface `XSDElementDeclaration`
  Parameters:
    `finalDefault` - the new value of the 'Lexical Final' attribute list.
  See Also:
    `XSDElementDeclaration.getLexicalFinal()`, `XSDElementDeclaration.getStringLexicalFinal()`

### getStringBlock

    public java.lang.String getStringBlock()

  Description copied from interface: `XSDElementDeclaration`
  Returns the String value of the '`Block`' attribute list.

  Specified by:
    `getStringBlock` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Block' attribute list.
  See Also:
    `XSDElementDeclaration.getBlock()`, `XSDElementDeclaration.setStringBlock(java.lang.String)`

### setStringBlock

    public void setStringBlock(java.lang.String block)

  Description copied from interface: `XSDElementDeclaration`
  Set the String value of the '`Block`' attribute list.

  Specified by:
    `setStringBlock` in interface `XSDElementDeclaration`
  Parameters:
    `block` - the new value of the 'Block' attribute list.
  See Also:
    `XSDElementDeclaration.getBlock()`, `XSDElementDeclaration.getStringBlock()`

### getStringDisallowedSubstitutions

    public java.lang.String getStringDisallowedSubstitutions()

  Description copied from interface: `XSDElementDeclaration`
  Returns the String value of the '`Disallowed Substitutions`' attribute list.

  Specified by:
    `getStringDisallowedSubstitutions` in interface `XSDElementDeclaration`
  Returns:
    the String value of the 'Disallowed Substitutions' attribute list.
  See Also:
    `XSDElementDeclaration.getDisallowedSubstitutions()`

### getStringSubstitutionGroupExclusions

    public java.lang.String getStringSubstitutionGroupExclusions()

  Description copied from interface: `XSDElementDeclaration`
  Returns the value of the 'Substitution Group Exclusions' attribute list.

  Specified by:
    `getStringSubstitutionGroupExclusions` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Substitution Group Exclusions' attribute list.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupExclusions()`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupExclusions()`

### isCircular

    public boolean isCircular()

  Description copied from interface: `XSDElementDeclaration`
  Returns the value of the 'Circular' attribute.

  This indicates that the element declaration is part of an invalid circular substitution group.

  Specified by:
    `isCircular` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Circular' attribute.
  See Also:
    `XSDPackage.getXSDElementDeclaration_Circular()`

### getAnnotation

    public XSDAnnotation getAnnotation()

  Specified by:
    `getAnnotation` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `XSDElementDeclaration.setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDElementDeclaration_Annotation()`

### setAnnotation

    public void setAnnotation(XSDAnnotation newAnnotation)

  Specified by:
    `setAnnotation` in interface `XSDElementDeclaration`
  Parameters:
    `newAnnotation` - the new value of the 'Annotation' containment reference.
  See Also:
    `XSDElementDeclaration.getAnnotation()`

### basicSetAnnotation

    public NotificationChain basicSetAnnotation(XSDAnnotation newAnnotation,
                                                NotificationChain msgs)

### getAnonymousTypeDefinition

    public XSDTypeDefinition getAnonymousTypeDefinition()

  Specified by:
    `getAnonymousTypeDefinition` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `XSDElementDeclaration.setAnonymousTypeDefinition(XSDTypeDefinition)`, `XSDPackage.getXSDElementDeclaration_AnonymousTypeDefinition()`

### setAnonymousTypeDefinition

    public void setAnonymousTypeDefinition(XSDTypeDefinition newAnonymousTypeDefinition)

  Specified by:
    `setAnonymousTypeDefinition` in interface `XSDElementDeclaration`
  Parameters:
    `newAnonymousTypeDefinition` - the new value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `XSDElementDeclaration.getAnonymousTypeDefinition()`

### basicSetAnonymousTypeDefinition

    public NotificationChain basicSetAnonymousTypeDefinition(XSDTypeDefinition newAnonymousTypeDefinition,
                                                             NotificationChain msgs)

### getTypeDefinition

    public XSDTypeDefinition getTypeDefinition()

  Specified by:
    `getTypeDefinition` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Type Definition' reference.
  See Also:
    `XSDElementDeclaration.setTypeDefinition(XSDTypeDefinition)`, `XSDPackage.getXSDElementDeclaration_TypeDefinition()`

### setTypeDefinitionGen

    public void setTypeDefinitionGen(XSDTypeDefinition newTypeDefinition)

### setTypeDefinition

    public void setTypeDefinition(XSDTypeDefinition newTypeDefinition)

  Description copied from interface: `XSDElementDeclaration`
  Sets the value of the '`Type Definition`' reference.

  Specified by:
    `setTypeDefinition` in interface `XSDElementDeclaration`
  Parameters:
    `newTypeDefinition` - the new value of the 'Type Definition' reference.
  See Also:
    `XSDElementDeclaration.getTypeDefinition()`

### getIdentityConstraintDefinitions

    public EList<XSDIdentityConstraintDefinition> getIdentityConstraintDefinitions()

  Specified by:
    `getIdentityConstraintDefinitions` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Identity Constraint Definitions' containment reference list.
  See Also:
    `XSDPackage.getXSDElementDeclaration_IdentityConstraintDefinitions()`

### getResolvedElementDeclaration

    public XSDElementDeclaration getResolvedElementDeclaration()

  Specified by:
    `getResolvedElementDeclaration` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Resolved Element Declaration' reference.
  See Also:
    `XSDElementDeclaration.setResolvedElementDeclaration(XSDElementDeclaration)`, `XSDPackage.getXSDElementDeclaration_ResolvedElementDeclaration()`

### setResolvedElementDeclaration

    public void setResolvedElementDeclaration(XSDElementDeclaration newResolvedElementDeclaration)

  Specified by:
    `setResolvedElementDeclaration` in interface `XSDElementDeclaration`
  Parameters:
    `newResolvedElementDeclaration` - the new value of the 'Resolved Element Declaration' reference.
  See Also:
    `XSDElementDeclaration.getResolvedElementDeclaration()`

### getSubstitutionGroupAffiliation

    public XSDElementDeclaration getSubstitutionGroupAffiliation()

  Specified by:
    `getSubstitutionGroupAffiliation` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Substitution Group Affiliation' reference.
  See Also:
    `XSDElementDeclaration.setSubstitutionGroupAffiliation(XSDElementDeclaration)`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupAffiliation()`

### setSubstitutionGroupAffiliation

    public void setSubstitutionGroupAffiliation(XSDElementDeclaration newSubstitutionGroupAffiliation)

  Specified by:
    `setSubstitutionGroupAffiliation` in interface `XSDElementDeclaration`
  Parameters:
    `newSubstitutionGroupAffiliation` - the new value of the 'Substitution Group Affiliation' reference.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupAffiliation()`

### getSubstitutionGroup

    public EList<XSDElementDeclaration> getSubstitutionGroup()

  Specified by:
    `getSubstitutionGroup` in interface `XSDElementDeclaration`
  Returns:
    the value of the 'Substitution Group' reference list.
  See Also:
    `XSDPackage.getXSDElementDeclaration_SubstitutionGroup()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDConcreteComponentImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDFeatureImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDFeatureImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDFeatureImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDFeatureImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDFeatureImpl`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.